COMPAREMODE(3CgFX)

NAME
CompareMode - 3D API compare mode

USAGE
CompareMode = int(mode)

VALID ENUMERANTS
mode: None, CompareRToTexture

DESCRIPTION
Specify the texture comparison mode. See the GL_TEXTURE_COMPARE_MODE description on the OpenGL glTexParameter manual page or the GL_ARB_shadow extension for details.

The standard reset callback sets the CompareMode state to float(None).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.4 or support for extension GL_ARB_shadow.

DIRECT3D FUNCTIONALITY REQUIREMENTS
Not applicable.

SEE ALSO
CompareFunc, DepthMode